Flake8

Web Sitehttp://flake8.pycqa.org/en/latest/
LanguagePython
Supported Version3.4.1

Getting Started

To start using Flake8, enable it in repository setting.

To customize Flake8, put .flake8 in your repository.

Python Version

If your repository contains .python-version, the python version is inferred from the file. You can specify Python version via sideci.yml. The default is Python 3.

The latest versions of Python 2 or Python 3 can be used.

Default Configuration

SideCI provides default configuration for Flake8. If your repository does not include .flake8, setup.cfg nor tox.ini, our default configuration is used.

Our default configuration is available in GitHub repository.

Configuration via sideci.yml

Example settings for Flake8 under flake8.

linter:
  flake8:
    version: 2

version

This controls Python version when running flake8. Python 3 is used if omitted.